# BagSync

## [v18.0](https://github.com/Xruptor/BagSync/tree/v18.0) (2022-12-09)
[Full Changelog](https://github.com/Xruptor/BagSync/compare/v17.9...v18.0) [Previous Releases](https://github.com/Xruptor/BagSync/releases)

-   
    - Guilds will now be sorted with their respected realms when displayed in the tooltips.  This includes XR and BNET realm tags.  (Fixes #213)  
- Merge remote-tracking branch 'origin/master'  
-   
    - Fixed an issue where the Battle Pet tooltips were occasionally showing overlapping the GameTooltip when viewing the Guild Bank.  (Fixes #217)  
- Merge pull request #216 from nanjuekaien1/patch-24  
    Update zhCN.lua  
- Update zhCN.lua  
-   
    - WARNING: You will lose the Guild data and will have to rescan your guilds and guild bank on your characters.  
    - Complete redid how Guild data is stored in BagSync.  Added more flexibility in storing realms and support with guilds sharing same names across multiple servers.  
    - Cleaned up the code everywhere in regards to guilds.  Now MUCH faster and more efficient then it used to be.  
    - Fixed a few errors in regards to Guild display across several BagSync features.  Should now properly show guilds regardless of primary RealmKey stored.  
- Merge remote-tracking branch 'origin/master'  
-   
    - Fixed in issue in AceGUI Labels for my custom BagSync Label widget, where the GetHeight() method seems to halt code execution.  Replaced with hardcoded set variables.  See the following link for further details: https://www.curseforge.com/wow/addons/ace3/issues/621  
-   
    - Added a custom Label ACEGUI widget to handle BagSync labels.  
    - Renamed the old custom InteractiveLabel to BagSync InteractiveLabel.  
    - Fixed an issue where the Search was not always returning results for items on other characters.  (Fixes #212)  
-   
    - Updated the way slash command locales are handled and displayed.  It was a little confusing for those doing localization translations.  
-   
    Special thanks to 	unrealcrom96 for the updates to the koKR localization.  
- Merge pull request #215 from nanjuekaien1/patch-23  
    Update zhCN.lua  
- Update zhCN.lua  
- Merge remote-tracking branch 'origin/master'  
-   
    Added a new Export feature for the BagSync Debug screen.  Allowing folks to copy and paste Debug information to help me to debug errors.  
- Merge pull request #214 from nanjuekaien1/patch-22  
    Update zhCN.lua  
- Update zhCN.lua  
-   
    - Completed revamped BagSync debugging in order to debug issues a bit faster.  
    - Added a new slash command "/bgs debug" to open the new BagSync Debug window.  
    - Added double warnings that will display while BagSync Debug is enabled.  You should NOT keep this on unless you are actively debugging to help me resolve an issue.  
    - Will not be adding the new Debug window to the minimap Dropdown.  I prefer this window to be hidden and only accessible by a slash command.  
    - Fixed a minor issue with the deDE localization that was missing some newline "\n" tags for ResetDBInfo.  
    - Added new debug levels to make it visually easier to trace where debug information is coming from.  It's even color coded!  
    - Fixed a tiny issue with the Blacklist module that would cause an error on improper ItemId.  
    -Fixed an issue with the BagSync custom AceGUI Label having duplicate SetDisabled functions.  
    -Fixed an issue with the Scanner module when scanning professions and generating an error due to a nil return in recipe data.  
-   
    - Beginning to do cleanup of code and optimizations everywhere to improve performance.  
- Merge pull request #211 from nanjuekaien1/patch-21  
    Update zhCN.lua  
- Update zhCN.lua  